# Uses of Class
org.eclipse.emf.cdo.common.lob.CDOBlob

Packages that use CDOBlob
Package
Description
org.eclipse.emf.cdo.common.lob
Common concepts for dealing with large binary objects and large character objects.
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.cdo.etypes.impl
The generated EMF implementation of the CDO system data types and native annotations.
org.eclipse.emf.cdo.etypes.util
The generated EMF utilities of the CDO system data types and native annotations.
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.

## Uses of CDOBlob in org.eclipse.emf.cdo.common.lob

Methods in org.eclipse.emf.cdo.common.lob that return CDOBlob
Modifier and Type
Method
Description
`static CDOBlob`
CDOLobUtil.`createBlob(byte[] id, long size)`
`CDOBlob`
CDOBlobOutputStream.`getBlob()`
`static CDOBlob`
CDOLobUtil.`readBlob(org.eclipse.net4j.util.io.ExtendedDataInput in)`

## Uses of CDOBlob in org.eclipse.emf.cdo.eresource

Methods in org.eclipse.emf.cdo.eresource that return CDOBlob
Modifier and Type
Method
Description
`CDOBlob`
CDOBinaryResource.`getContents()`
Returns the value of the 'Contents' attribute.
Methods in org.eclipse.emf.cdo.eresource with parameters of type CDOBlob
Modifier and Type
Method
Description
`void`
CDOBinaryResource.`setContents(CDOBlob value)`
Sets the value of the '`Contents`' attribute.

## Uses of CDOBlob in org.eclipse.emf.cdo.eresource.impl

Methods in org.eclipse.emf.cdo.eresource.impl that return CDOBlob
Modifier and Type
Method
Description
`CDOBlob`
CDOBinaryResourceImpl.`getContents()`
Methods in org.eclipse.emf.cdo.eresource.impl with parameters of type CDOBlob
Modifier and Type
Method
Description
`void`
CDOBinaryResourceImpl.`setContents(CDOBlob newContents)`

## Uses of CDOBlob in org.eclipse.emf.cdo.etypes.impl

Methods in org.eclipse.emf.cdo.etypes.impl that return CDOBlob
Modifier and Type
Method
Description
`CDOBlob`
EtypesFactoryImpl.`createBlobFromString(EDataType eDataType, String initialValue)`

## Uses of CDOBlob in org.eclipse.emf.cdo.etypes.util

Methods in org.eclipse.emf.cdo.etypes.util with parameters of type CDOBlob
Modifier and Type
Method
Description
`boolean`
EtypesValidator.`validateBlob(CDOBlob blob, DiagnosticChain diagnostics, Map<Object,Object> context)`

## Uses of CDOBlob in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOBlob
Modifier and Type
Method
Description
`CDOBlob`
CDOSession.`newBlob(byte[] contents)`
`CDOBlob`
CDOSession.`newBlob(InputStream contents)`